#### Linux From Scratch - Version 12.0-rc1

### Chapter 8. Installing Basic System Software

- Prev

  Man-DB-2.11.2

- Next

  Util-linux-2.39.1

- Up
- Home

# 8.76. Procps-ng-4.0.3

The Procps-ng package contains programs for monitoring processes.

Approximate build time: 0.1 SBU
Required disk space: 25 MB

## 8.76.1. Installation of Procps-ng

Prepare Procps-ng for compilation:

    ./configure --prefix=/usr                           \
                --docdir=/usr/share/doc/procps-ng-4.0.3 \
                --disable-static                        \
                --disable-kill

The meaning of the configure option:

`--disable-kill`

  This switch disables building the kill command; it will be installed from the Util-linux package.

Compile the package:

    make

To run the test suite, run:

    make check

Install the package:

    make install

## 8.76.2. Contents of Procps-ng

Installed programs: free, pgrep, pidof, pkill, pmap, ps, pwdx, slabtop, sysctl, tload, top, uptime, vmstat, w, and watch
Installed library: libproc-2.so
Installed directories: /usr/include/procps and /usr/share/doc/procps-ng-4.0.3

### Short Descriptions

free | Reports the amount of free and used memory (both physical and swap memory) in the system
pgrep | Looks up processes based on their name and other attributes
pidof | Reports the PIDs of the given programs
pkill | Signals processes based on their name and other attributes
pmap | Reports the memory map of the given process
ps | Lists the current running processes
pwdx | Reports the current working directory of a process
slabtop | Displays detailed kernel slab cache information in real time
sysctl | Modifies kernel parameters at run time
tload | Prints a graph of the current system load average
top | Displays a list of the most CPU intensive processes; it provides an ongoing look at processor activity in real time
uptime | Reports how long the system has been running, how many users are logged on, and the system load averages
vmstat | Reports virtual memory statistics, giving information about processes, memory, paging, block Input/Output (IO), traps, and CPU activity
w | Shows which users are currently logged on, where, and since when
watch | Runs a given command repeatedly, displaying the first screen-full of its output; this allows a user to watch the output change over time
`libproc-2` | Contains the functions used by most programs in this package

- Prev

  Man-DB-2.11.2

- Next

  Util-linux-2.39.1

- Up
- Home